:root {
    
    --main-black: #050505;
    --main-gray: #65676B;
    --border: #e1e2e5;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}



::-webkit-file-upload-button {
    cursor:pointer;
}

.ads-logo{
    position: fixed;
    top: 20px;
    left: 20px;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: 4px;
}

.ads-logo img {
    height: 35px;
}

.ads-logo p {
    font-weight: 200;
    font-family: "Montserrat";
    font-size: 18px;
}

.ads-logo p span {
    font-weight: 700;
    font-family: "Montserrat";
}

body {
    
    min-height: 800px;
    background-color: #F0F2F5;
    display: flex;
    flex-flow: row wrap;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
}

#main {
    padding: 16px;
    background-color: #F0F2F5;
    z-index: 2;
}


.container {
    width: 558px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    border: 1px solid #ddd;
    position: relative;
}

[contenteditable] {
    outline: 0px solid transparent;
}

.container:hover [contenteditable], .container:hover input {
    outline: 1px dotted var(--main-gray);
}

.container:hover .chosen-reactions, .container:hover #cta-copy, .container:hover .cta-copy-carousel {
    border: 1px dotted var(--main-gray);
}

.container:hover .image-input-btn, .container:hover .favicon-input-btn {
    opacity: 1;
}

[contenteditable]:focus, input:focus {
    outline: 1px solid #217DFF !important;
}

/* TIMEBAR */

.timebar {
    display: none;
    grid-template-columns: repeat(4, 1fr);
    z-index: 200;
    padding: 8px 13px 0 13px;
    gap: 3px;
    position: relative;
}

.timebar div {
    height: 2px;
    width: 100%;
    background-color: #ffffff7f;
}

.timebar div div {
    width: 30px;
    height: 100%;
    background-color: #fff;
}

/* HEADER */


.header {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    padding: 10px 13px;
}

.left-header, .right-header {
    display: flex;
    flex-flow: row nowrap;
    gap: 6px;
    align-items: center;
}

.header svg {
    color: var(--main-gray)
}

.right-header svg {
    height: 16px;
    width: 16px;
}

.favicon {
    background: transparent;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

#favicon-input {
    position: absolute;
    top: 6px;
    left: -5px;
    pointer-events: auto;
    opacity: 0;
}

.favicon-input-btn {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 8px 8px 6px 8px;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.7);
    opacity: 0;
    transition: opacity 0.3s;
    border-radius: 50%;
}

.favicon:hover .favicon-input-btn {
    opacity: 1;
}

#displayed-favicon {
    height: 100%;
}

.brand-container {
    z-index: 100;
    width: 250px;
}

.brand span {
    color: var(--main-black);
    font-size: 12px;
    font-weight: 600;
}

.sponsored {
    display: flex;
    flex-flow: row nowrap;
    gap: 3px;
    align-items: center;
}

.sponsored p {
    color: var(--main-gray);
    font-size: 10px;
    font-weight: 400;
}

.settings-icon {
    padding: 7px;
}

/* TEXT-SECTION */

.text-section {
    padding: 0 13px 13px 13px;
}

.text-section span {
    font-size: 12px;
    color: var(--main-black);
}

.text-section .read-more-button, .text-section .read-less-button {
    cursor: pointer;
    display: none;
    color: var(--main-gray);
    white-space: nowrap;
}

/* AD-IMAGE */


.image-section {
    width: 100%;
    height: 526px;
    background: transparent;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

#image-input {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-25px, -50%);
    pointer-events: auto;
    opacity: 0;
    z-index: 10;
}


.image-input-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 15px 15px 12px 15px;
    border-radius: 50%;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.7);
    opacity: 0;
    transition: opacity 0.3s;
    z-index: 11;
}

.carousel-section .image-input-btn {
    top: 16px;
    left: 16px;
    transform: none;
    padding: 10px 10px 7px 10px;
}

#displayed-image {
    height: 100%;
}

.image-section:hover .image-input-btn {
    opacity: 1;
}

/* CTA-SECTION */

.cta-section {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    background-color: #F0F2F5;
    border-bottom: 1px solid var(--border);
    padding: 10px 13px;
    align-items: center;
}

.left-cta-section {
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}

.left-cta-section .url {
    font-size: 11px;
    color: var(--main-gray);
    font-weight: 400;
    text-transform: uppercase;
    
}

.left-cta-section .title {
    font-size: 13px;
    color: var(--main-black);
    font-weight: 600;
    
}

.left-cta-section .cta-paragraph {
    font-size: 11px;
    color: var(--main-gray);
    font-weight: 400;
    
}

.right-cta-section {
    position: relative;
}

.cta-button {
    background-color: #e4e6eb;
    padding: 8px 10px;
    border-radius: 4px;
    font-size: 12px;
    font-weight: 600;
    white-space: nowrap;
    display: flex;
    align-items: center;
}

.cta-button .link-symbol {
    display: none;
    padding-right: 5px;
}

.cta-button select {
    all: unset;
    font-size: 12px;
    font-weight: 600;
    text-align-last: center;
    cursor: pointer;
}

.cta-popup {
    border-radius: 8px;
    background-color: #fff;
    box-shadow: 0 0 100px 0 rgba(0, 0, 0, 0.1);
    /* height: 400px;
    overflow-y: scroll; */
}

.cta-popup ul {
    width: 165px;
}

.transparent-cta-bg {
    padding: 0 0 50px 150px;
    position: absolute;
    right: 30px;
    bottom: 0;
    transform: translateX(70%);
    display: none;
    z-index: 500;
}

.cta-popup ul li {
    list-style: none;
    font-size: 12px;
    padding: 8px 10px;
    text-transform: capitalize;
    cursor: pointer;
}

.cta-popup ul li:hover {
    background-color: var(--border);
}

.cta-popup ul li.active-cta:hover {
    background-color: var(--main-gray);
}

.cta-popup .active-cta {
    background-color: var(--main-gray);
    color: #fff;
}

.cta-popup ul li:first-child {
    border-radius: 8px 8px 0 0;
}

.cta-popup ul li:last-child {
    border-radius: 0 0 8px 8px;
}


.cta-button:hover + .transparent-cta-bg, .transparent-cta-bg:hover {
    display: block;
}

#cta-copy, .cta-copy-carousel {
    text-transform: capitalize;
    border: 1px solid transparent;
}

.chevron {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    display: none;
    bottom: 50px;
}

.chevron svg path {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}


.link-section {
    width: 100%;
    display: flex;
    flex-flow: row nowrap;
    background-color: #F0F2F5;
    padding: 2px 13px 13px 13px;
    gap: 10px;
    border-bottom: 1px solid var(--border);
    overflow-y: auto;
    display: none;
}

.link-section::-webkit-scrollbar {
    display: none; /* Chrome, Safari, and Opera */
}

.link-section div {
    background-color: #fff;
    padding: 6px 13px;
    border-radius: 14px;
    border: 1px solid var(--border);
}

.link-section div p {
    font-size: 13px;
    color: var(--main-black);
    font-weight: 600;
    white-space: nowrap;
}

/* INTERACTION-SECTION */

.interaction {
    padding: 0 13px;
}

.interaction-top {
    padding: 8px 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.transparent-bg {
    position: absolute;
    left: 50px;
    bottom: 0;
    transform: translateX(-100%);
    padding: 0 80px 50px 0;
    display: none;
}

.interaction-top .reactions-choice {
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 100px 0 rgba(0, 0, 0, 0.1);
    
    display: flex;
    flex-flow: row-reverse nowrap;
    gap: 10px;
    border-radius: 10px;
    
    
}

.interaction-top .reactions-choice .reaction {
    width: 40px;
    height: 40px;
    opacity: 1;
    cursor: pointer;
    transition: opacity 0.3s ease;
}

.interaction-top .reactions-choice .reaction.faded {
    opacity: 0.2;
}

.interaction-top-left {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

.interaction-top-left .chosen-reactions .reaction {
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: #fff;
    padding: 2px;
    
}

.interaction-top-left .chosen-reactions {
    display: flex;
    flex-flow: row-reverse nowrap;
}

.interaction-top-left:hover + .transparent-bg, .transparent-bg:hover {
    display: block;
}


.reaction.hidden {
    display: none;
}


.interaction-top-left .reaction:not(:last-child) {
    margin-left: -7px;
}

.interaction-top p {
    font-size: 12px;
    color: var(--main-gray);
}


.interaction-top-right {
    display: flex;
    flex-flow: row nowrap;
    gap: 8px;
}

.interaction-top-right div {
    display: flex;
    flex-flow: row nowrap;
    gap: 3px;
}

.interaction-top-right input {
    all: unset;
    width: 2ch;
    font-size: 12px;
    color: var(--main-gray);
    text-align: right;
}

.interaction-top-left input {
    all: unset;
    width: 3ch;
    font-size: 12px;
    color: var(--main-gray);
    margin-left: 2px;
}

/* For WebKit browsers (Chrome, Safari, Edge) */
input[type="number"].no-arrows::-webkit-inner-spin-button,
input[type="number"].no-arrows::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* For Firefox */
input[type="number"].no-arrows {
    -moz-appearance: textfield;
    appearance: textfield;
}

/* For Internet Explorer 10+ */
input[type="number"].no-arrows::-ms-clear {
    display: none;
}

input[type="number"].no-arrows::-ms-reveal {
    display: none;
}

.interactions-popup {
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 100px 0 rgba(0, 0, 0, 0.1);
    position: absolute;
    right: -20px;
    transform: translate(100%, -40px);
    display: flex;
    flex-flow: row-reverse nowrap;
    gap: 10px;
    border-radius: 10px;
}

.interaction-bottom {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
    padding: 12px 0;
    border-top: 1px solid #eee;
}

.interaction-bottom div {
    display: flex;
    flex-flow: row nowrap;
    gap: 5px;
    align-items: center;
}

.interaction-bottom div i {
    opacity: 0.7;
}

.interaction-bottom div p {
    font-size: 12px;
    font-weight: 600;
    color: var(--main-gray);
}

.chosen-reactions {
    border: 1px solid transparent;
}

.chosen-reactions div svg {
    width: 15px;
    height: 15px;
}

/* SETTINGS */

.settings {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(300px, -50%);
    display: flex;
    flex-flow: row nowrap;
    font-family: "Montserrat", Helvetica, Arial, sans-serif;
    align-items: flex-start;
    z-index: 0;
    height: 300px;
}

.active {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    margin: 0 auto;
    border-radius: 8px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    border: 1px solid #ddd;
    background-color: #F0F2F5;
    z-index: 200;
}


.active .download {
    border-radius: 0 0 8px 8px;
    cursor: pointer;
}



.active .download:hover {
    background-color: #fff;
}

.active > div:not(.settings-divider) {
    padding: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.active > div.download {
    height: 68px;
    width: 65px;
}

.active > div.download .download-inner {
    position: absolute;
    display: flex;
    flex-flow: row nowrap;
    left: 1px;
    align-items: center;
    
    height: 68px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 0 8px 8px 8px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    /* transition: all 0.3s; */
    gap: 0px;
}

.active > div.download .download-inner p {
    color: var(--main-gray);
    font-size: 0;
    /* transition: all 0.3s; */
}

.active > div.download .download-inner:hover {
    font-size: 16px;
    padding-right: 16px;
    gap: 10px;
    background-color: white;
}

.active > div.download .download-inner:hover p {
    font-size: 16px;
    padding-left: 6px;
}

#loading-icon {
    position: absolute;
    height: 68px;
    width: 65px;
    display: flex;
    flex-flow: row nowrap;
    right: 1px;
    background-color: #F0F2F5;
    align-items: center;
    justify-content: center;
    display: none;
    border-radius: 0 0 8px 8px;
}

#loading-icon div {
    height: 30px;
    width: 30px;
    border: 1px solid var(--main-gray);
    border-color: var(--main-gray) var(--main-gray) transparent var(--main-gray);
    border-radius: 50%;
    animation: rotateInfinite 1s linear infinite;
    
}

#success-message {
    position: absolute;
    bottom: 20px;
    display: block;
    width: 300px;
    left: 0;
    text-align: left;
    opacity: 0;
    transition: all 0.5s;
    z-index: -5;
}

#success-message .head {
    margin-bottom: 5px;
    font-family: "Montserrat", Helvetica, Arial, sans-serif;
}

#success-message .paragraph {
    font-size: 12px;
    color: var(--main-gray);
    font-family: "Montserrat", Helvetica, Arial, sans-serif;
}


#nudge-settings {
    position: absolute;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    width: 180px;
    top: 45px;
    left: 80px;
    font-size: 12px;
    text-align: center;
    gap: 10px;
    color: var(--main-gray);
    opacity: 0;
    transition: all 0.5s;
    z-index: -1;
}

#nudge-download {
    position: absolute;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    width: 180px;
    bottom: 120px;
    left: 80px;
    text-align: center;
    color: var(--main-gray);
    opacity: 0;
    transition: all 0.5s;
    z-index: -1;
}

#nudge-download p, #nudge-settings p {
    font-family: "Caveat";
    font-size: 18px;
    padding-left: 20px;
}

#nudge-settings .arrow-animated {
    transform: scale(-1, -1);
    transform-origin: center; /* Ensure the transformation happens from the center */
}

#nudge-download .arrow-animated {
    transform: scaleX(-1);
    transform-origin: center; /* Ensure the transformation happens from the center */
}

@keyframes moveLeftToRight {
    0% {
        left: 0;
    }
    30% {
        left: 15px;
    }
    100% {
        left: 0;
    }
}

.arrow-animated {
    width: 60px;
}


.active div.format {
    border-radius: 8px 8px 0 0;
    padding: 18px 0 15px 0;

}

.active div.format, .active div.device {
    position: relative;
}

.active div.format:before {
    border-top: 1px solid #ddd;
    transform: translateY(-1px);
}

.active div.format:before, .active div.device:before {
    content: "";
    height: 100%;
    width: 10px;
    background-color: #fff;
    position: absolute;
    right: -5px;
    top: 0;
    display: none;
    z-index: 200;
}

/* .active div.format:hover::before, .active div.device:hover::before {
    display: block;
}  */

.active .format:hover {
    border-radius: 8px 0 0 0;
}

.slidein {
    position: relative;
    padding: 16px;
    border-radius: 0 8px 8px 8px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    border: 1px solid #ddd;
    background-color: #fff;
    z-index: 100;
}

.slidein ul {
    list-style: none;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.slidein ul li {
    padding: 10px 20px;
    gap: 7px;
    border-radius: 4px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    border: 1px solid #ddd;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    position: relative;
    background-color: #f3f3f3;
}

.slidein ul li:hover {
    background-color: #fff;
}

.slidein ul li p {
    font-size: 12px;
    color: var(--main-gray);
    margin-bottom: 0;
}

.download, .active-format div, .active-device div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.settings .format, .settings .device {
    display: flex;
    flex-flow: row-reverse nowrap;
    align-items: center;
}

.slidein ul li.choosed {
    background-color: #fff;
}

.choosed .checkmark {
    display: block;
}


.slide-in {
    position: relative;
    display: flex;
    flex-flow: row nowrap;
    gap: 30px;
    width: 0;
    transition: all 0.3s;
    opacity: 0;
    justify-content: center;
    z-index: 100;
}

.slidein li {
    cursor: pointer;
}

.slide-in li {
    transition: all 0.3s;
    opacity: 0;
}

.settings:hover .slide-in {
    width: 150px;
    opacity: 1;
}

.settings:hover .slide-in li {
    opacity: 1;
}

.slide-in li {
    list-style: none;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.device-btn-space {
    width: 40px;
}

.settings-divider {
    height: 2px;
    width: 100%;
    border-radius: 50%;
    background: rgb(195,195,195);
    background: linear-gradient(90deg, rgba(195,195,195,0) 0%, rgba(195,195,195,1) 50%, rgba(195,195,195,0) 100%);
}

.slidein ul li.format-item, .slidein ul li.device-item, .slidein {
    display: none;
}

#slidein-title {
    font-family: "Montserrat", Helvetica, Arial, sans-serif;
    margin-bottom: 10px;
    font-size: 14px;
    /* font-weight: 700; */
}

.checkmark {
    position: absolute;
    bottom: -8px;
    right: -8px;
    display: none;
}

/* FOOTER */

footer {
    position: fixed;
    bottom: 0;
    left: 0;
    padding: 20px;
    z-index: 1;
}

footer a {
    text-decoration: none;
}

footer p {
font-size: 6px;
color: #666;
font-family: "Montserrat", Helvetica, Arial, sans-serif;
}

img.logo {
width: 53px;
}

/* MOBILE */

#main.mobile .container {
    width: 390px;
}

#main.mobile .image-section {
    height: 388px;
}

#main.mobile .interaction-bottom, #main.mobile .cta-section {
    border: none;
}

#main.mobile #carousel-section .cta-section {
    border-top: 1px solid var(--border);
}

/* REEL */


#main.reel .container {
    width: 400px;
}

#main.reel .image-section {
    background: linear-gradient(165deg, rgba(255,89,136,0.10772058823529416) 0%, rgba(255,255,255,0.5) 45%, rgba(255,255,255,0.5) 100%), linear-gradient(195deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 71%, rgba(255,89,136,0.37772058823529416) 100%);
}

#main.reel .sponsored span, #main.reel .sponsored svg {
    display: none;
}

#main.reel .container {
    position: relative;
    height: 654px;
}

#main.reel .image-section {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

#main.reel #displayed-image {
    border-radius: 8px;
}

#main.reel .interaction {
    display: none;
}

#main.reel .header span, #main.reel .header p {
    color: #fff;
}

#main.reel .cta-section {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 200;
    background: transparent;
    border: none;
}

#main.reel .cta-section .left-cta-section {
    display: none;

}

#main.reel .text-section {
    display: none;
}

#main.reel .header {
    position: relative;
    z-index: 200;
}

#main.reel .header svg {
    color: #fff;
}

#main.reel .right-header svg {
    height: 20px;
    width: 20px;
}

#main.reel .cta-button {
    border-radius: 8px;
    background-color: #fff;
    padding: 6px 10px 4px 10px;
}

#main.reel .cta-button #cta-copy {
    color: #0064D1;
    text-transform: uppercase;
    font-size: 28px;
    font-family: "Sofia Sans Extra Condensed", sans-serif;
    font-weight: 400;
    line-height: 28px;
}

#main.reel .link-symbol {
    display: block;

}

#main.reel .chevron {
    display: block;
}

#main.reel .image-input-btn {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#main.reel .image-section input {
    top: 50%;
    left: 50%;
    transform: translate(-20px, -50%);
}

/* #main.reel .settings-icon svg, #main.reel .close-icon svg {
    height: 20px;
    width: 20px;
    transform: translateX(-5px);
} */

#main.reel .timebar {
    display: grid;
}

.reel-overlay {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(0,0,0);
    background: linear-gradient(180deg, rgba(0,0,0,0.4) 0%, rgba(0,0,0,0) 15%, rgba(0,0,0,0) 80%, rgba(0,0,0,0.5) 100%);
}

#main.reel .reel-overlay {
    display: block;
    
}


/* CAROUSEL */


.carousel-section {
    width: auto;
    display: flex;
    gap: 10px;
    overflow-y: visible;
    overflow-x: scroll;
    white-space: nowrap;
    padding: 0 13px;
    scroll-behavior: smooth;
    display: none;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE and Edge */
    position: relative;
}

.carousel-section .cta-popup {
    height: 400px;
    overflow-y: scroll;
}

.carousel-section::-webkit-scrollbar {
    display: none; /* Chrome, Safari, and Opera */
}

.carousel-section .card {
    border-radius: 5px;
    width: 320px;
    display: inline-block;
    vertical-align: top;
    border: 1px solid var(--border);
}

.carousel-section .card .cta-section {
    border-radius: 0 0 5px 5px;
    background-color: #fff;
    border-top: 1px solid var(--border);
}

.carousel-section .card .image {
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 300px;
    width: 300px;
    background: transparent;
    border-radius: 5px 5px 0 0;
}

.carousel-section .card .image .displayed-image-carousel {
    border-radius: 5px 5px 0 0;
    height: 100%;
    vertical-align: bottom;
}

.scroll-button, #add-carousel-item {
    position: absolute;
    top: 45%;
    z-index: 300;
    display: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    border: 1px solid var(--border);
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.1);
    cursor: pointer;
}

.scroll-button svg, #add-carousel-item svg {
    width: 25px;
    height: 25px;
}

#scroll-left {
    left: 20px;
    display: none;
}

#scroll-right, #add-carousel-item {
    right: 20px;
}

.card .image {
    position: relative;
}


.image-input-carousel {
    position: absolute;
    top: 25px;
    left: 10px;
    pointer-events: auto;
    opacity: 0;
}

.card .image:hover .image-input-btn {
    opacity: 1;
}

.card #title-content {
    word-wrap: break-word;
    white-space: normal;
}

.card #description-content {
    word-wrap: break-word;
    white-space: normal;
}


#remove-item-btn {
    all: unset;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0.3;
    z-index: 500;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}


.card:hover #remove-item-btn {
    display: flex;
}

.tooltip {
    all: unset;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
    font-size: 10px;
    color: var(--main-gray);
    font-family: "Montserrat", Helvetica, Arial, sans-serif;
}

#remove-item-btn:hover + .tooltip {
    display: block;
}

#remove-item-btn:hover {
    opacity: 0.5;
}


.transparent-cta-bg-carousel {
    position: fixed;
    display: none;
    z-index: 1000;
    padding: 0 0 50px 150px;
    transform: translate(-100px, -100px);
}

.transparent-cta-bg-carousel:hover {
    display: block !important;
}


/* HIDE */

.hide {
    display: none !important;
}

#overlay {
    background-color: #F0F2F5;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 5000;
    display: none;
}

#overlay .spinner-box {
    height: 200px;
    width: 200px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#overlay .spinner.outside {
    border-radius: 50%;
    border: 2px solid rgba(255,89,136,1);
    border-color: transparent var(--main-gray) var(--main-gray) var(--main-gray);
    height: 100%;
    width: 100%;;
    animation: rotateInfinite 1s linear infinite;
}

@keyframes rotateInfinite {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
}
  
  


@media only screen and (max-width:1400px) and (min-width:1300px) {
    .transparent-bg {
        transform: translateX(-90%);
    }
}

@media only screen and (max-width:1299px) and (min-width:1200px) {
    .transparent-bg {
        transform: translateX(-80%);
    }
}

@media only screen and (max-width:1199px) and (min-width:1100px) {
    .transparent-bg {
        transform: translateX(-70%);
    }
}

@media only screen and (max-width:1099px) and (min-width:1000px) {
    .transparent-bg {
        transform: translateX(-60%);
    }
}

@media only screen and (max-width:999px) and (min-width:900px) {
    .transparent-bg {
        transform: translateX(-50%);
    }
}

@media only screen and (max-width:899px) {
    .transparent-bg {
        transform: translateX(-30%);
    }

    .transparent-cta-bg {
        transform: translateX(45%);
    }
}

.white-background {
    background-color: #fff !important;
}

.white-background::before {
    display: block !important;
}


@media only screen and (max-width:767px) {
    #main {
        transform: scale(0.6);
        height: 800px;
    }

    body {
        min-height: 100vh;
        max-height: 100vh;
        overflow-y: hidden;
    }

    .settings {
       transform: translate(-2px, -340px) scale(0.7);
       height: 300px;
       width: 200px;
       flex-flow: column nowrap;
       align-items: flex-end;
       z-index: 3;
    }

    .settings .active {
        flex-flow: row nowrap;
    }

    .settings .active > div:not(.settings-divider) {
        padding: 10px;
        width: 65px;
        /* height: 100%; */
    }

    .active > div.download .download-inner {
        right: 1px;
        left: auto;
        box-shadow: none;
        
    }

    .active .download:hover {
        background-color: transparent;
    }
    
    .settings-divider {
        width: 2px;
        height: 65px;
        background: linear-gradient(0deg, rgba(195, 195, 195, 0) 0%, rgba(195, 195, 195, 1) 50%, rgba(195, 195, 195, 0) 100%);

    }

    .slidein {
        border-radius: 8px;
    }

    #nudge-settings {
        top: -90px;
        left: -100px;
        flex-flow: column-reverse nowrap;
        align-items: flex-end;
    }

    #nudge-settings .arrow-animated {
        transform: scale(-1, 1) rotate(75deg);
    }

    #nudge-download {
        top: -90px;
        bottom: auto;
        left: 0px;
        align-items: flex-end;
    }

    #nudge-download .arrow-animated {
        transform: scaleX(-1) rotate(75deg);
    }

    #nudge-download p {
        padding-right: 40px;
        padding-left: 0;
    }

    .arrow-animated {
        width: 40px;
    }

    #success-message {
        top: -80px;
        bottom: auto;
        text-align: right;
        left: auto;
        right: 0;
    }

    .download-inner p {
        display: none;
    }

    .active div.format:before {
        height: 10px;
        width: 100%;
        right: 0;
        top: auto;
        bottom: -8px;
        border-top: none;
    }

    .active div.device:before {
        height: 10px;
        width: 100%;
        right: 0;
        top: auto;
        bottom: -8px;
        border-top: none;
    }

    .active > div.download .download-inner:hover {
        font-size: 0;
        gap: 0;
        background-color: #F0F2F5;
        padding-right: 10px;
    }

    #loading-icon {
        border-radius: 0 8px 8px 0;
    }
}